databases/py-table - The NetBSD Packages Collection

Python RDBMS wrapper for various databases

PyTable is a relational database wrapper based on BasicProperty's rich
property-based modeling system.  PyTable provides a "thick" wrapper for
PostgreSQL (and MySQL) database adapters which fills in missing functionality
in the adapter layer to provide a uniform rich external API.

Build dependencies

devel/py-setuptools44 pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/py-basicproperty lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py27-table-0.8.3anb5.tgz
NetBSD 10.0aarch64py27-table-0.8.3anb5.tgz
NetBSD 10.0aarch64ebpy27-table-0.8.3anb5.tgz
NetBSD 10.0aarch64ebpy27-table-0.8.3anb5.tgz
NetBSD 10.0alphapy27-table-0.8.3anb5.tgz
NetBSD 10.0alphapy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 10.0i386py27-table-0.8.3anb5.tgz
NetBSD 10.0i386py27-table-0.8.3anb5.tgz
NetBSD 10.0i386py27-table-0.8.3anb5.tgz
NetBSD 10.0powerpcpy27-table-0.8.3anb5.tgz
NetBSD 10.0powerpcpy27-table-0.8.3anb5.tgz
NetBSD 10.0sparc64py27-table-0.8.3anb5.tgz
NetBSD 10.0sparcpy27-table-0.8.3anb5.tgz
NetBSD 10.0sparcpy27-table-0.8.3anb5.tgz
NetBSD 10.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 10.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 10.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 9.0aarch64py27-table-0.8.3anb5.tgz
NetBSD 9.0aarch64py27-table-0.8.3anb5.tgz
NetBSD 9.0aarch64py27-table-0.8.3anb5.tgz
NetBSD 9.0alphapy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv6hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0earmv7hfpy27-table-0.8.3anb5.tgz
NetBSD 9.0i386py27-table-0.8.3anb5.tgz
NetBSD 9.0i386py27-table-0.8.3anb5.tgz
NetBSD 9.0i386py27-table-0.8.3anb5.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb4.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb5.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb4.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb5.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb4.tgz
NetBSD 9.0powerpcpy27-table-0.8.3anb5.tgz
NetBSD 9.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 9.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 9.0x86_64py27-table-0.8.3anb5.tgz
NetBSD 9.3x86_64py27-table-0.8.3anb5.tgz
NetBSD 9.3x86_64py27-table-0.8.3anb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.